Collection Update
Update a collection owned by the authenticated account.
/collections/{collection_mark}Update a collection owned by the authenticated account.
In: cookie
Path Parameters
Either:
- The unique collection ID.
- A string of the form -
xid-prefixed-kebab-case-stringRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/collections/cc5lnd2s1s4652adtu50-top-10-movies-thread" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"slug": "cc5lnd2s1s4652adtu50-top-10-movies-thread",
"description": "string",
"owner": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"item_count": 0,
"has_queried_item": true
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}